Skip to main content
DELETE
Delete IntegrationCredentials

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

UUID of the organization

id
string
required

The UUID of the credentials.

Response

Return the IntegrationCredentials

Response containing a IntegrationCredentials entity for Netsuite auth

id
string
required

The UUID of the entity.

type
string
required

the type of credentials

Minimum string length: 1
destination
string
required

the system the integration is for

Minimum string length: 1
version
integer<int64>

The version number:

  • Create: On initial Create to insert a new entity, the version is set at 1 in the response.
  • Update: On successful Update, the version is incremented by 1 in the response.
dtCreated
string<date-time>

The DateTime when this item was created (in ISO-8601 format).

dtLastModified
string<date-time>

The DateTime when this item was last modified (in ISO-8601 format).

createdBy
string

The ID of the user who created this item.

lastModifiedBy
string

The ID of the user who last modified this item.

destinationId
string

the destinationId the integration is for

name
string

the name of the credentials

accountId
string

Netsuite account ID.

Example:

"1234567-sb1"

certificateId
string

m3ter certificate ID

Example:

"certificate id"

clientId
string

Netsuite integration client ID

Example:

"client id"